Subject: Offline Message from Brian Hall: I have a EB-5 I purchased a few years ago. I
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 05 Mar 2022 21:45:49 -0000

From: Brian Hall <[email-masked]>
Phone: 3104692263
Location: Hawthorne, United States
URL: https://swagtron.com/electric-bikes/
Department: SwagTron

I have a EB-5 I purchased a few years ago. I accidentally plugged it in to charge and it was in the "ON" position.  When I turn it on now, the light comes on for a brief moment then goes out. I have not attempted to ride it yet.
1. Have I damaged the battery?
2. Is there a Swagtron authorized business that can replace the battery in Southern California, USA?

Thank you.

----
Zopim
https://www.zopim.com